package com.goafanti.personnel.service;

import java.util.List;


import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.personnel.bo.InputPersonnelBo;
import com.goafanti.personnel.bo.InputPersonnelChooseBo;
import com.goafanti.personnel.bo.InputPersonnelContactBo;
import com.goafanti.personnel.bo.InputPersonnelContractBo;
import com.goafanti.personnel.bo.InputPersonnelEntryBo;
import com.goafanti.personnel.bo.InputPersonnelListBo;
import com.goafanti.personnel.bo.InputPersonnelLvlBo;
import com.goafanti.personnel.bo.InputPersonnelPromotionBo;
import com.goafanti.personnel.bo.InputPersonnelQuitBo;
import com.goafanti.personnel.bo.IntpersonnelWelfareBo;
import com.goafanti.personnel.bo.OutPersonnelBo;
import com.goafanti.personnel.bo.OutPersonnelListBo;
import com.goafanti.personnel.bo.OutPersonnelLvlBo;

public interface PersonnelService {

	int addPersonnel(InputPersonnelBo i);

	int updatePersonnel(InputPersonnelBo i);

	int updateContact(InputPersonnelContactBo i);

	int updateEntry(InputPersonnelEntryBo i);

	int updatePromotion(InputPersonnelPromotionBo i);

	int checkDoorId(Integer doorId, Integer id);

	int updateContract(InputPersonnelContractBo i);

	int updateChoose(InputPersonnelChooseBo i);

	int updateQuit(InputPersonnelQuitBo i);

	Pagination<OutPersonnelListBo> selectList(InputPersonnelListBo i);


	OutPersonnelBo selectBypdId(Integer id);


	List<OutPersonnelLvlBo> selectLvlList();

	int updateLvl(InputPersonnelLvlBo i);

	int updateWelfare(IntpersonnelWelfareBo i);

	int checkEmployeeId(Integer employeeId, Integer id);


}
